servant-0.20.2: A family of combinators for defining webservices APIs

Safe Haskell | None
Language | Haskell2010

Servant.API.Raw

Synopsis

- data Raw
- data RawM

# Documentation

data Raw #

Endpoint for plugging in your own Wai `Application`s.

The given `Application` will get the request as received by the server, potentially with a modified (stripped) `pathInfo` if the `Application` is being routed with `:>`.

In addition to just letting you plug in your existing WAI `Application`s, this can also be used with functions from Servant.Server.StaticFiles to serve static files stored in a particular directory on your filesystem

#### Instances

Instances details

HasLink Raw # |

Instance details

Defined in Servant.Links

Associated Types

type MkLink Raw a |
Instance details Defined in Servant.Links type MkLink Raw a = a

Methods

toLink :: (Link -> a) -> Proxy Raw -> Link -> MkLink Raw a #

type MkLink Raw a # |
Instance details Defined in Servant.Links type MkLink Raw a = a

data RawM #

Variant of `Raw` that lets you access the underlying monadic context to process the request.

#### Instances

Instances details

HasLink RawM # |

Instance details

Defined in Servant.Links

Associated Types

type MkLink RawM a |
Instance details Defined in Servant.Links type MkLink RawM a = a

Methods

toLink :: (Link -> a) -> Proxy RawM -> Link -> MkLink RawM a #

type MkLink RawM a # |
Instance details Defined in Servant.Links type MkLink RawM a = a